:construction: Section under Construction :construction:

In this section, you will find information about the project file structure and the purpose of the main folders.

##Source Files

| Folder/File        | Purpose                                                      |
| ------------------ | ------------------------------------------------------------ |
| assets             | The application's assets, contains fonts, svg and png files. |
| docrules           |                                                              |
| doctypes           | Contains the **cozy** doctypes, you can see more on [Cozy Documentation](https://github.com/cozy/cozy-doctypes). |
| helpers            | Contains helper functions that are used by services. It contains also a test file for each helper file. |
| locales            | Contains JSON data used by the translation system i18n provided by [Cozy-ui](https://github.com/cozy/cozy-ui). |
| models             | Contains all our models' Interfaces                          |
| services           | Here you'll find all the services. It contains also a test file for each service file. |
| store              | Redux store. Contains actions, reducers, and store types.    |
| styles             | Styles folder. The **base** folder under it contains our variables, fonts, breakpoints, animations, and mixins. Whenever you add a style file elsewhere, don't forget to import it in **index.scss**. |
| targets            | Contains mobile and browser targets. It also contains a **Public** target for *social workers*. |
| types              |                                                              |
| utils              | In this folder you'll find utilities methods.                |
| tests              |                                                              |
| components/App.tsx | The root component.                                          |

##Configuration Files

| Folder/File     | Purpose                                                      |
| --------------- | ------------------------------------------------------------ |
| .eslintrc.js    | Config file for ESLint.                                      |
| gitlab-ci.yml   | Config file used for Gitlab continuous integration.          |
| .prettierrc     | Config file for Prettier extension.                          |
|                 |                                                              |
| jest.config.js  | Config file used by Jest for testing the application.        |
| manifest.webapp | Manifest of the application, used by cozy for permissions' management, you can add permissions for doctypes here. |
| tsconfig.json   | Config file for TypeScript.                                  |
| ...             |                                                              |